// WaldMain.java                                    MM 2014
import Tools.IO.*;                              // Eingaben

/**
 * Interaktives Nutzerprogramm
 * zum Erfassen des Zustandes eines Waldes.
 */
public class WaldMain
{
  public static int waldMenue( Wald schonung)
  {
                                           // Menue Auswahl
    System.out.println( "\t0 - Fertig!");
    System.out.println( "\t1 - Baum faellen ");
    System.out.println( "\t2 - Schneisen quer ");
    System.out.println( "\t3 - Schneisen laengs ");
    int menueAuswahl =
      IOTools.readInteger( "Aktion auswaehlen: ");

    int s, z;
    try
    {
      switch( menueAuswahl)
      {
        case 0:                        // Rasterdarstellung
        break;

        case 1:                             // Baum faellen 
        z = IOTools.readInteger( "Zeile: ");
        s = IOTools.readInteger( "Spalte: ");
        schonung.baumFaellen( z, s);
        break;

        case 2:                           // Schneisen quer
        z = IOTools.readInteger( "Reihenabstand: ");
        for( int i = z - 1; i < schonung.getLaenge(); i += z)
          schonung.schneiseSchlagen( i, true);
        break;

        case 3:                         // Schneisen laengs
        s = IOTools.readInteger( "Spaltenabstand: ");
        for( int i = s - 1; i < schonung.getBreite(); i += s)
          schonung.schneiseSchlagen( i, false);
        break;

        default:
        System.out.println( "Fehlerhafte Eingabe!");
      }
    } catch( ArrayIndexOutOfBoundsException e)
    {
      System.out.println
      ( "Position liegt ausserhalb der Schonung");
    }
    return menueAuswahl;
  }

/**
 * Testprogramm.
 */
  public static void main( String[] args)
  {
// Eingabe Waldgroesse
    int laenge = IOTools.readInteger( "Waldlaenge: ");
    int breite = IOTools.readInteger( "Waldbreite: ");

    if( laenge < 1 || breite < 1)
      System.out.println( "Kein Wald da!");
    else
    {
      Wald schonung = new Wald( laenge, breite);
//    System.out.println( schonung);

// Interaktion
      int menueAuswahl;
      do
      {
        menueAuswahl = waldMenue( schonung);
        System.out.println( schonung);
      } while( menueAuswahl != 0);
    }
  }
}